@import url('https://fonts.cdnfonts.com/css/futura-condensed-extra');
html{
    scroll-behavior: smooth;
    overflow-x: hidden;
}
body{
    margin: 0;
    font-family: 'Futura Condensed Extra', sans-serif;
    background-color: #282c34;
    font-size: 130%;
    color: #ffefd6;
}

header{
    background-color: #21252b;
    margin: 0;
    padding: 0;
    width: 100%;
    top: 0px;
    
}
.headercontainer{
    display: flex;
    justify-content:space-between;
    align-items: center;
    padding: 10px;
    max-height: 3%;
}
.photo{
    height: 300px;
    padding: 15px;
    border-radius: 50%;
    
}
header ul{
    list-style-type: none;
    display: inline-flex;
    
}
header a{
    text-decoration: none;
    color: #ffffff;
    padding: 15px;
    border-radius: 5px;
    transition: background-color 0.2s linear;
}
header a:hover{
    background-color: #f8b133;
}
.ukversion img{
    height: 30px;
}
.ukversion{
    padding: 20px 12px 5px 12px;
}
main p{
    
    color: #ffefd6;
    max-width: 50%;
    border-radius: 15px;
    padding: 0.5%;

}
.intro{
    align-items: center;
    justify-content: space-evenly;
    display: flex;
    flex-flow: row wrap;
    margin-top: 15px;
    color: #777777;
    font-size: 6vh;
    height: 80vh;
}
strong{
    color: #f8b133;
}
strong.nostrong{
    color:#909090;
    font-size: 80%;
}
hr{
    margin: 1% 5% 1% 5%;
}
.bonjour{
    font-size: 200%;
}
.intro p {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    flex-flow: row wrap;
    gap: 20px;
    color: #DDDDDD;
}

break{
    flex-basis: 100%;
    width: 0px; 
    height: 0px; 
    overflow: hidden;
}

.apropos{
    text-align: center;
    height: 95vh;
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
}
h2{
    color: #f8b133;
    font-size: 250%;
}
.apropos article{
    display:flex;
    justify-content: space-around;
    align-items: center;
    height: 100%;
    font-size: 3vh;
}
.apropos p {
    color: #DDDDDD;
    text-align: justify
}
.THM_link{
    color:  #909090;
    text-decoration: none;

}
.THM_link:hover{
    color: #555555;
}
.formation{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    font-size: 3vh;
}
.formation article{
    display: flex;
}
.formationliste{
    border-left: 4px solid #f8b133;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;    
    color: fade(#bcbcbc, 80%);  
    margin: 50px;  
    letter-spacing: 0.5px;   
    position: relative;
    line-height: 1.4em;
    font-size: 1.03em;   
    padding: 50px;   
    list-style: none;
    text-align: left;  
    font-weight: 100;  
    width: 40%; 
}

.formation a{
    padding: 10px;
    display: inline-flex;
    justify-content: space-around;
    align-items: center;
    text-decoration: none;
    border: #DDDDDD solid;
    color: #DDDDDD;
    border-radius: 10px;
    transition: background-color 0.3s ease;

}
.formation a:hover{
    background-color: #f8b133;
}

.exp{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    font-size: 3vh;
}
.exp article{
    display: flex;
}
.expliste{
    border-left: 4px solid #f8b133;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;    
    color: fade(#bcbcbc, 80%);  
    margin: 50px;  
    letter-spacing: 0.5px;   
    position: relative;
    line-height: 1.4em;
    font-size: 1.03em;   
    padding: 50px;   
    list-style: none;
    text-align: left;  
    font-weight: 100;  
    width: 40%; 
}

.exp a{
    padding: 10px;
    display: inline-flex;
    justify-content: space-around;
    align-items: center;
    text-decoration: none;
    border: #DDDDDD solid;
    color: #DDDDDD;
    border-radius: 10px;
    transition: background-color 0.3s ease;

}
.exp a:hover{
    background-color: #f8b133;
}

.event {
    padding-bottom: (50px * 0.5);
    margin-bottom: 50px;  
    position: relative;
}

.event:last-of-type { 
      padding-bottom: 0;
      margin-bottom: 0; 
      border: none;      
}


.event:before {
      left: -300px;    
      color: #DDDDDD;    
      content: attr(data-date);
      text-align: right;
      font-weight: 100;    
      font-size: 130%;;
      min-width: 120px;
      position: absolute;
      display: block;
      top: 0;
}

.event:after {
      box-shadow: 0 0 0 4px fade(#f8b133,100%);    
      left: -59.25px;            
      border-radius: 50%;  
      height: 15px;
      width: 15px;
      background-color: #f8b133;
      content: "";
      top: 5px;
      position: absolute;
      display: block;
    }
.event h3{
    color: #DDDDDD;
}
.event p{
    
    color: #909090;
    max-width: 100%;
    border-radius: 15px;
    padding: 0.5%;
}


.competence{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    font-size: 100%;  
    
}
.competence ul{
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items:stretch;
    width: 42%;
    height: 100%;
}
.competence li{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 20px;
    width: 100%;
}
.competence p:nth-child(4n + 1){
    color: #DDDDDD;
}
.competence p:nth-child(4n + 3){
    color: #f8b133;
}


progress {
    width: 50vh ;
    height: 50px;
    margin: auto 10px;
    padding: 1px;
    background: #444;
    color: #f8b133;
    border-radius: 14px;
    -webkit-appearance: none;
}
progress::-moz-progress-bar { 
    background-color: #f8b133; 
    border-top-left-radius: 14px;
    border-bottom-left-radius: 14px;
}
progress::-webkit-progress-bar {
    background-color: #444;
    border-radius: 14px;
}

progress::-webkit-progress-value {
    background-color: #f8b133;
    border-top-left-radius: 14px;
    border-bottom-left-radius: 14px;
}




.projet{
    max-width: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.projet ul{
    list-style: none;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap:nowrap;
    width: 100%;
}
.projet li{
    margin: 30px;
    width: 350px;
    height: 400px;

}


.projet article p{
    color: #999999;
    margin-bottom: 30px;
    text-align: center;
    width: 100%;
    max-width: 100%;
}
.projet article{
    text-align: center;
    background: rgba(33,33,33, 1);
    padding: 10px;
    height: 80px;
    font-size: 100%;

}
.projet h3{
    color: #f8b133;
    margin: 0;
}
.hidden{
    background-color: rgba(33,33,33, .95);
    color:#DDDDDD;
    opacity: 0;
    max-width: 330px;
    width: 330px;
    padding: 10px;
    height: 280px;
    text-align: justify;
    border-radius: 0%;
    transition: opacity 0.3s linear;
    margin: 0;
}
.hidden a{
    text-decoration: none;
    color: #999999;
}

.hidden:hover{
    opacity: 100;
}

.ankaria{
    background-image: url("images/ankaria.jpg");
    background-position: center;
    background-size: 100%;
}

.tryhackme{
    background-image: url("images/tryhackme.png");
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
    background-color: #ffffff;
}
.subnet{
    background-image: url("images/github.png");
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
    background-color: #ffffff;
}

.divers h2{
    text-align: center;
}






.contact{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between; 
}
.contact ul{
    width: 70%;
    list-style: none;
    display: inline-flex;
    justify-content: space-around;
    align-items: center;
}
.contact li{
    width: 15%;

}
.contact a{
    width: 130%;
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 20px;
    text-decoration: none;
    border: #DDDDDD solid;
    color: #DDDDDD;
    transition: background-color 0.3s ease;
    border-radius: 10px;
}

.contact a:hover{
    background-color: #f8b133;
}

.contact img{
    width: 50px;
}


.arrowtop{
    position: fixed;
    bottom: 20px;
    right: 50px;
}
.arrowup{
    border: solid #999999;
    border-width: 0 15px 15px 0;
    display: inline-block;
    padding: 15px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    transition: border-color 0.2s linear;
    
}
.arrowup:hover{
    border: solid#f8b133;
    border-width: 0 15px 15px 0;
    display: inline-block;
    padding: 15px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}
footer{
    background-color: #21252b;
    text-align: center;
    margin: 0;
    padding: 1px;
}

